<View::Base::SourceRecord
  class="use-highlights view-picture {{this.containerClasses}}"
  data-with-picture="true"
  @isEditor={{@isEditor}}
  @path={{@path}}
  @model={{@model}}
  @value={{@value}}
  @onLoad={{this.setupPicture}}
  ...attributes
>
  <Link
    @space={{@space}}
    @to={{this.destination}}
    @newTab={{@value.data.destination.newTab}}
    class="d-none"
    data-editor="link"
    data-type="link"
    data-path={{concat @path ".data.destination"}}
    data-name={{@value.name}}
    data-gid={{@value.gid}}
    {{did-insert this.setupLink}}
  >Go to page</Link>

  <PictureWithOptions
    class="page-col-picture {{if this.linkElement 'cursor-pointer'}}"
    data-path={{concat @path ".data.picture"}}
    data-name={{@value.name}}
    data-gid={{@value.gid}}

    @deviceSize={{@deviceSize}}
    @name={{this.picture.name}}
    @meta={{this.picture.meta}}
    @src={{this.picture.picture}}
    @hash={{this.picture.hash}}
    @options={{this.pictureOptions}}
    @onClick={{this.onClick}}
    @onLoad={{@onLoad}}
  />
</View::Base::SourceRecord>